Skip to main content

Get Custom-price Link

Retrieve one custom-price link by id, including archived links.

Request​

GET /custom-price-links/{id}

Path Parameters​

ParameterTypeRequiredDescription
idstringYesCustom-price link UUID.

Example Request​

curl -X GET "https://cart.easy.tools/api/v1/custom-price-links/3f9c2b7e-8d41-4a6f-b2e5-7c1d9a0e4f63" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Response​

Success Response (200)​

{
"id": "3f9c2b7e-8d41-4a6f-b2e5-7c1d9a0e4f63",
"product_id": "0632bef5-c308-42cd-9cba-89a7a4f722bb",
"variant_id": "d91c65aa-b221-4aa4-b626-cf0d8a198749",
"amount": 1499,
"currency": "usd",
"is_net": false,
"max_purchases": 20,
"purchases_count": 7,
"expires_at": "2027-01-01T05:59:00+01:00",
"archived_at": null,
"status": "active",
"checkout_url": "https://cart.easy.tools/checkout/mystore/premium-coffee?_sig=amount%2Cplan%2Cprice_link&amount=1499&plan=price_123&price_link=3f9c2b7e-8d41-4a6f-b2e5-7c1d9a0e4f63&signature=4b8f0c2e9d7a6153e1f04b9c8a2d7e6f5c3b1a0d9e8f7c6b5a4d3e2f1c0b9a8e",
"created_at": "2026-11-18T15:20:41+01:00"
}

See Custom-price Link Object.

Error Responses​

Bad Request (400)​

{
"message": "Invalid custom-price link ID"
}

Not Found Error (404)​

{
"message": "Custom-price link with ID 3f9c2b7e-8d41-4a6f-b2e5-7c1d9a0e4f63 not found"
}

Unauthorized Error (401)​

{
"message": "Unauthenticated."
}

Forbidden Error (403)​

{
"message": "You do not have API access to the requested store."
}